Bug 237799 - snmptable dumps core
snmptable dumps core
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 10:45 EDT by Ondrej Hudlicky
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0458
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (337 bytes, patch)
2007-04-30 11:01 EDT, Jan Safranek
no flags Details | Diff

  None (edit)
Description Ondrej Hudlicky 2007-04-25 10:45:28 EDT
Description of problem:
snmptable -v2c -c public foo
segfaults when certain arguments included, as in example ^^

Version-Release number of selected component (if applicable):
net-snmp-5.0.9-2.30E.20
net-snmp-5.0.9-2.30E.21

How reproducible:
always

Steps to Reproduce:
1.  snmptable -v2c -c public foo
  
Actual results:
Segmentation fault

Expected results:
Warning that not all required parameters are included

Additional info:
Comment 1 Jan Safranek 2007-04-30 11:01:37 EDT
Created attachment 153798 [details]
patch
Comment 2 Jan Safranek 2007-04-30 11:02:26 EDT
easy to fix, see patch above
Comment 9 Red Hat Bugzilla 2007-06-11 14:38:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0458.html

Note You need to log in before you can comment on or make changes to this bug.